9.5. 네트워킹

RHEL 8에서 네트워크 스크립트가 더 이상 사용되지 않음

네트워크 스크립트가 Red Hat Enterprise Linux 8에서 더 이상 사용되지 않으므로 이제 기본적으로 제공되지 않습니다. 기본 설치는 nmcli 툴을 통해 NetworkManager 서비스를 호출하는 ifupifdown 스크립트의 새 버전을 제공합니다. Red Hat Enterprise Linux 8에서 ifupifdown 스크립트를 실행하려면 NetworkManager를 실행해야 합니다.

/sbin/ifup-local, ifdown-pre-localifdown-local 스크립트에서 사용자 지정 명령이 실행되지 않습니다.

이러한 스크립트가 필요한 경우 다음 명령을 사용하여 시스템에서 더 이상 사용되지 않는 네트워크 스크립트를 설치할 수 있습니다.

~]# yum install network-scripts

ifupifdown 스크립트는 설치된 레거시 네트워크 스크립트에 연결됩니다.

레거시 네트워크 스크립트를 호출하면 사용 중단을 알리는 경고 메시지가 표시됩니다.

(BZ#1647725)

dropwatch 툴이 더 이상 사용되지 않음

dropwatch 툴이 더 이상 사용되지 않습니다. 이 툴은 향후 릴리스에서 지원되지 않으므로 새 배포에는 권장되지 않습니다. 이 패키지를 교체할 때 Red Hat은 perf 명령줄 툴을 사용하는 것이 좋습니다.

perf 명령줄 툴 사용에 대한 자세한 내용은 Red Hat 고객 포털 또는 perf man 페이지의 Perf로 시작하기 섹션을 참조하십시오.

(BZ#1929173)

cgdcbxd 패키지는 더 이상 사용되지 않음

제어 그룹 데이터 센터 브리징 데몬(cgdcbxd)은 DCB(데이터 센터 브리징) 이벤트를 모니터링하고 net_prio 제어 그룹 하위 시스템을 관리하는 서비스입니다. RHEL 8.5부터 cgdcbxd 패키지는 더 이상 사용되지 않으며 다음 주요 RHEL 릴리스에서 제거됩니다.

(BZ#2006665)

xinetd 서비스가 더 이상 사용되지 않음

xinetd 서비스는 더 이상 사용되지 않으며 RHEL 9에서 제거됩니다. 대체 방법으로 systemd 를 사용합니다. 자세한 내용은 xinetd 서비스를 systemd로 변환하는 방법을 참조하십시오.

(BZ#2009113)

WEP Wi-Fi 연결 방법이 더 이상 사용되지 않음

RHEL 8.6에서 안전하지 않은 유선 개인 정보 보호(WEP) Wi-Fi 연결 방법은 더 이상 사용되지 않으며 RHEL 9.0에서 제거됩니다. Wi-Fi 연결을 보호하려면 Wi-Fi 보호 액세스 3 (WPA3) 또는 WPA2 연결 방법을 사용하십시오.

(BZ#2029338)

지원되지 않는 xt_u32 모듈이 더 이상 사용되지 않음

지원되지 않는 xt_u32 모듈을 사용하면 iptables 사용자가 패킷 헤더 또는 페이로드에서 임의의 32비트와 일치시킬 수 있습니다. RHEL 8.6에서는 xt_u32 모듈이 더 이상 사용되지 않으며 RHEL 9에서 제거됩니다.

xt_u32 를 사용하는 경우 nftables 패킷 필터링 프레임워크로 마이그레이션합니다. 예를 들어 먼저 iptables 를 기본 일치와 함께 사용하여 개별 규칙을 점진적으로 교체하고 나중에 iptables-translate 및 첨부 유틸리티를 사용하여 nftables 로 마이그레이션하도록 방화벽을 변경합니다. nftables 에 네이티브 일치 항목이 없는 경우 nftables 의 원시 페이로드와 일치하는 기능을 사용합니다. 자세한 내용은 nft(8) 매뉴얼 페이지의 원시 페이로드 표현식 섹션을 참조하십시오.

(BZ#2061288)

nmstate API에서 슬레이브 라는 용어는 더 이상 사용되지 않음

Red Hat은 자각적인 언어를 사용하기 위해 최선을 다하고 있습니다. 오픈 소스를 보다 포괄적으로 만드는 이 이니셔티브에 대한 자세한 내용을 참조하십시오. 따라서 슬레이브 용어는 Nmstate API에서 더 이상 사용되지 않습니다. nmstatectl 을 사용할 때 포트 라는 용어를 사용합니다.

(JIRA:RHELDOCS-17641)